Package org.bukkit.event.entity

# Class EntityTransformEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTransformEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `EntityZapEvent`

public class EntityTransformEvent extends EntityEvent implements Cancellable
Called when an entity is about to be replaced by another entity.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EntityTransformEvent.TransformReason`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityTransformEvent(@NotNull Entity original, @NotNull List<Entity> convertedList, @NotNull EntityTransformEvent.TransformReason transformReason)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull List<Entity>`
`getTransformedEntities()`
Gets the entities that the original entity was transformed to.
`@NotNull Entity`
`getTransformedEntity()`
Gets the entity that the original entity was transformed to.
`@NotNull EntityTransformEvent.TransformReason`
`getTransformReason()`
Gets the reason for the conversion that has occurred.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityTransformEvent

public EntityTransformEvent(@NotNull @NotNull Entity original, @NotNull @NotNull List<Entity> convertedList, @NotNull @NotNull EntityTransformEvent.TransformReason transformReason)

## Method Details

### getTransformedEntity

@NotNull public @NotNull Entity getTransformedEntity()
Gets the entity that the original entity was transformed to. This returns the first entity in the transformed entity list.

Returns:
  The transformed entity.
See Also:
  - `getTransformedEntities()`

### getTransformedEntities

@NotNull public @NotNull List<Entity> getTransformedEntities()
Gets the entities that the original entity was transformed to.

Returns:
  The transformed entities.

### getTransformReason

@NotNull public @NotNull EntityTransformEvent.TransformReason getTransformReason()
Gets the reason for the conversion that has occurred.

Returns:
  The reason for conversion that has occurred.

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()